### Method

# Gimp ColorProfile get_space

since: 2.10.6

#### Declaration [src]

    const Babl*
    gimp_color_profile_get_space (
      GimpColorProfile* profile,
      GimpColorRenderingIntent intent,
      GError** error
    )

#### Description [src]

This function returns the `Babl` space of `profile`, for the specified `intent`.

Available since: 2.10.6

#### Parameters

`intent`

  Type: `GimpColorRenderingIntent`

  A `GimpColorRenderingIntent`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `Babl`

The new `Babl` space.

The data is owned by the instance.